Marjorie Green Books
1. You can combat computer stress!
2. The busy executive's database guide

Michael O'Leary Books
1.Cooking with Computers

Author's of The budy executive's database guide
1.Marjorie Green
2.Abraham Bennet

Publisher of But is it user friendly?
1.Algodata Infosystems

Algodata Infosystems Books
1. The busy executive's databse guide
2. Cooking with Computers
3. Straight talk about computers
4. But is it user friendly?
5. Secrets of silicon valley
6. Net etiquette